# TrainerPartyCompoundTemplate | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class TrainerPartyCompoundTemplate

#### Hierarchy (View Summary)

- TrainerPartyTemplate
  - TrainerPartyCompoundTemplate

- Defined in src/data/trainers/TrainerPartyTemplate.ts:31

##### Index

### Constructors

constructor

### Properties

balanced
sameSpecies
size
strength
templates

### Methods

getStrength
isBalanced
isSameSpecies

## Constructors

### constructor

- new TrainerPartyCompoundTemplate(
  ...templates: TrainerPartyTemplate [],
  ): TrainerPartyCompoundTemplate

  #### Parameters

  - ...templates: TrainerPartyTemplate []

  #### Returns TrainerPartyCompoundTemplate

  Overrides TrainerPartyTemplate.constructor

  - Defined in src/data/trainers/TrainerPartyTemplate.ts:34

## Properties

### balanced

balanced: boolean

Inherited from TrainerPartyTemplate.balanced

- Defined in src/data/trainers/TrainerPartyTemplate.ts:9

### sameSpecies

sameSpecies: boolean

Inherited from TrainerPartyTemplate.sameSpecies

- Defined in src/data/trainers/TrainerPartyTemplate.ts:8

### size

size: number

Inherited from TrainerPartyTemplate.size

- Defined in src/data/trainers/TrainerPartyTemplate.ts:6

### strength

strength: PartyMemberStrength

Inherited from TrainerPartyTemplate.strength

- Defined in src/data/trainers/TrainerPartyTemplate.ts:7

### templates

templates: TrainerPartyTemplate []

- Defined in src/data/trainers/TrainerPartyTemplate.ts:32

## Methods

### getStrength

- getStrength(index: number): PartyMemberStrength

  #### Parameters

  - index: number

  #### Returns PartyMemberStrength

  Overrides TrainerPartyTemplate.getStrength

  - Defined in src/data/trainers/TrainerPartyTemplate.ts:45

### isBalanced

- isBalanced(index: number): boolean

  #### Parameters

  - index: number

  #### Returns boolean

  Overrides TrainerPartyTemplate.isBalanced

  - Defined in src/data/trainers/TrainerPartyTemplate.ts:69

### isSameSpecies

- isSameSpecies(index: number): boolean

  #### Parameters

  - index: number

  #### Returns boolean

  Overrides TrainerPartyTemplate.isSameSpecies

  - Defined in src/data/trainers/TrainerPartyTemplate.ts:57